FileSystemResourceLoader (Grails 3.1.7)
Date: 2016-05-19

Package: org.grails.io.support

## [Java] Class FileSystemResourceLoader

- org.grails.io.support.FileSystemResourceLoader

- ResourceLoader implementation that resolves plain paths as file system resources rather than as class path resources (the latter is DefaultResourceLoader's default strategy).

  NOTE: Plain paths will always be interpreted as relative to the current VM working directory, even if they start with a slash. (This is consistent with the semantics in a Servlet container.) Use an explicit "file:" prefix to enforce an absolute file path. is a full-fledged ApplicationContext implementation that provides the same resource path resolution strategy.

  Authors:
    Juergen Hoeller
  See Also:
    DefaultResourceLoader
  Since:
    1.1.3

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected Resource` | `getResourceByPath(java.lang.String path)` Resolve resource paths as file system paths.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DefaultResourceLoader` | `getClassLoader, getDefaultClassLoader, getResource, getResourceByPath, setClassLoader`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override protected Resource getResourceByPath(java.lang.String path)

      Resolve resource paths as file system paths.

      Note: Even if a given path starts with a slash, it will get interpreted as relative to the current VM working directory.

      Parameters:
        `path` - the path to the resource
      Returns:
        the corresponding Resource handle
      See Also:
        FileSystemResource